1. admin-workspaces
Docpier IDP API
  • IDP API
  • Webhook
  • Endpoints
    • agent
      • Upload a document
      • Retrieve structured data
      • Stream Document Content
      • Provide feedback
      • Get Document Feedback
    • admin-workspaces
      • Admin List Workspaces
        GET
      • Admin Create Workspace
        POST
      • Admin Get Workspace
        GET
      • Admin Patch Workspace
        PATCH
      • Admin Grant Workspace Access
        POST
      • Admin Revoke Workspace Access
        DELETE
      • Admin List Keycloak Agent Client Credentials
        GET
      • Admin Create Keycloak Agent Client
        POST
      • Admin Get Workspace Settings
        GET
      • Admin Merge Workspace Settings
        PATCH
      • Admin List Webhooks
        GET
      • Admin Create Webhook
        POST
      • Admin Patch Webhook
        PATCH
      • Admin Delete Webhook
        DELETE
      • Admin Meta Document Types
        GET
  1. admin-workspaces

Admin Patch Webhook

PATCH
/admin/workspaces/{workspaceId}/webhooks/{webhook_id}

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://test.your-api-server.com/admin/workspaces//webhooks/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "url": "string",
    "auth_type": "NONE",
    "auth_url": "string",
    "token_request_config": {
        "property1": "string",
        "property2": "string"
    },
    "webhook_headers_config": {
        "property1": "string",
        "property2": "string"
    },
    "secrets": {
        "property1": "string",
        "property2": "string"
    }
}'
Response Response Example
{
    "id": "string",
    "workspace_id": "string",
    "url": "string",
    "auth_type": "string",
    "auth_url": "string",
    "token_request_config": {
        "property1": "string",
        "property2": "string"
    },
    "webhook_headers_config": {
        "property1": "string",
        "property2": "string"
    },
    "created_at": "2019-08-24T14:15:22.123Z",
    "secret_names": [
        "string"
    ]
}
Modified at 2026-05-16 21:22:56
Previous
Admin Create Webhook
Next
Admin Delete Webhook
Built with